clang 8.0.0

Namespaces | Functions
FormatInternal.h File Reference

This file declares Format APIs to be used internally by the formatting library implementation. More...

`#include "BreakableToken.h"`
`#include "clang/Tooling/Core/Lookup.h"`
`#include <utility>`
Include dependency graph for FormatInternal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::format
| clang::format::internal

## Functions
std::pair< tooling::Replacements, unsigned > | clang::format::internal::reformat (const FormatStyle &Style, StringRef Code, ArrayRef< tooling::Range > Ranges, unsigned FirstStartColumn, unsigned NextStartColumn, unsigned LastStartColumn, StringRef FileName, FormattingAttemptStatus *Status)
| Reformats the given `Ranges` in the code fragment `Code`. More...

## Detailed Description

This file declares Format APIs to be used internally by the formatting library implementation.

Definition in file FormatInternal.h.